// BarPlot.stories.tsx
import React from 'react';
import { Meta } from '@storybook/react';
import AxisComponent, { AxisComponentProps } from '.';
import { scaleLinear, scaleBand, scaleTime } from 'd3';

const Component: Meta<AxisComponentProps> = {
  title: 'Visual charts/Charts/Axis',
  component: AxisComponent,
  decorators: [
    (Story) => (
      <div className="w-full h-full flex flex-row justify-center">
        <svg className="border border-secondary-300" width="300" height="200">
          <Story />
        </svg>
      </div>
    ),
  ],
};

export default Component;

export const NumericalData = {
  args: {
    orientation: 'bottom',
    type: 'numerical',
    range: [0,400],
    domain: [0,100],
  },
};

export const CategoricalData = {
  args: {
    scale: scaleBand<string>().domain(['Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday']).range([0, 200]).padding(0.1), // Categorical scale
    orientation: 'bottom',
    type: 'categorical', // Specify type as categorical
  },
};

export const DateTimeData = {
  args: {
    scale: scaleTime().domain([new Date(2020, 0, 1), new Date(2020, 11, 31)]).range([0, 200]),
    orientation: 'bottom',
    type: 'datetime',
  },
};