// LinePlot.stories.tsx
import React from 'react';
import { Meta } from '@storybook/react';
import LineChart, { LineChartProps } from '.';

const Component: Meta<typeof LineChart> = {
  title: 'Visual charts/Charts/LineChart',
  component: LineChart,
  decorators: [(story) => <div style={{ width: '100%', height: '100vh' }}>{story()}</div>],
};

export default Component;

export const Default = {
  args: {
    data: [
      // First line
      [
        { x: 1, y: 2 },
        { x: 2, y: 6 },
        { x: 3, y: 2 },
        { x: 5, y: 9 },
        { x: 8, y: 2 },
        { x: 9, y: 9 },
        // Add more data points as needed
      ],
      // Second line
      [
        { x: 1, y: 4 },
        { x: 3, y: 3 },
        { x: 4, y: 8 },
        { x: 6, y: 5 },
        { x: 7, y: 7 },
        { x: 9, y: 3 },
        // Add more data points as needed
      ],
      // Add more lines as needed
    ],
    xAxisLabel: 'X Axis Label',
    yAxisLabel: 'Y Axis Label',
    showMarks: true,
    curveInterpolation: ['smooth', 'linear', 'step', 'natural'],
    isArea: true,
  },
};
